org.json

## Class CookieList

- java.lang.Object
- - org.json.CookieList

    public class CookieList
    extends Object

Convert a web browser cookie list string to a JSONObject and back.

Version:
  2015-12-09
Author:
  JSON.org

### Constructor Summary

Constructors
Constructor and Description
`CookieList()` Constructs a new CookieList object.

### Method Summary

All Methods Static Methods Concrete Methods
`static JSONObject` `toJSONObject(String string)` Convert a cookie list into a JSONObject.
`static String` `toString(JSONObject jo)` Convert a JSONObject into a cookie list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CookieList

    public CookieList()

Constructs a new CookieList object.

### Method Detail

#### toJSONObject

    public static JSONObject toJSONObject(String string)
                                   throws JSONException

Convert a cookie list into a JSONObject. A cookie list is a sequence of name/value pairs. The names are separated from the values by '='. The pairs are separated by ';'. The names and the values will be unescaped, possibly converting '+' and '%' sequences. To add a cookie to a cookie list, cookielistJSONObject.put(cookieJSONObject.getString("name"), cookieJSONObject.getString("value"));

Parameters:
  `string` - A cookie list string
Returns:
  A JSONObject
Throws:
  `JSONException` - if a called function fails

#### toString

    public static String toString(JSONObject jo)
                           throws JSONException

Convert a JSONObject into a cookie list. A cookie list is a sequence of name/value pairs. The names are separated from the values by '='. The pairs are separated by ';'. The characters '%', '+', '=', and ';' in the names and values are replaced by "%hh".

Parameters:
  `jo` - A JSONObject
Returns:
  A cookie list string
Throws:
  `JSONException` - if a called function fails